# Enum AccessibilityLiveRegion

java.lang.Object
java.lang.Enum<AccessibilityLiveRegion>
com.codename1.ui.accessibility.AccessibilityLiveRegion

All Implemented Interfaces:
  `Comparable<AccessibilityLiveRegion>`

public enum AccessibilityLiveRegion extends Enum<AccessibilityLiveRegion>
How changes to a semantic node should be announced without moving focus.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSERTIVE`
  `OFF`
  `POLITE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccessibilityLiveRegion`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AccessibilityLiveRegion[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OFF

    public static final AccessibilityLiveRegion OFF

  - ### POLITE

    public static final AccessibilityLiveRegion POLITE

  - ### ASSERTIVE

    public static final AccessibilityLiveRegion ASSERTIVE

- ## Method Details

  - ### values

    public static AccessibilityLiveRegion[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AccessibilityLiveRegion valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null